CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::PointWiseDescBuilder_v8 Class Reference

`#include <cudnn_frontend_PointWiseDesc.h>`

Collaboration diagram for cudnn_frontend::PointWiseDescBuilder_v8:

## Public Member Functions
auto | setMathPrecision (cudnnDataType_t data_type_) -> PointWiseDescBuilder_v8 &
| Set Math Precision Data Type for the Convolution Operation. More...
auto | setClipping (double l, double u) -> PointWiseDescBuilder_v8 &
| Set upper and lower limits for the RELU activation. More...
auto | setMode (cudnnPointwiseMode_t mode_) -> PointWiseDescBuilder_v8 &
| Set pointwise mode for the activation. More...
auto | setMode (cudnnNanPropagation_t nan_mode_) -> PointWiseDescBuilder_v8 &
| Set NaN propagation mode. More...
auto | setReluLowerClip (double lower_clip_) -> PointWiseDescBuilder_v8 &
auto | setReluUpperClip (double upper_clip_) -> PointWiseDescBuilder_v8 &
auto | setReluLowerClipSlope (double lower_clip_slope_) -> PointWiseDescBuilder_v8 &
auto | setEluAlpha (double elu_alpha_) -> PointWiseDescBuilder_v8 &
auto | setSoftplusBeta (double softplus_beta_) -> PointWiseDescBuilder_v8 &
auto | setSwishBeta (double swish_beta_) -> PointWiseDescBuilder_v8 &
PointWiseDesc_v8 && | build ()
| PointWiseDescBuilder_v8 ()=default
| ~PointWiseDescBuilder_v8 ()=default
| PointWiseDescBuilder_v8 (PointWiseDescBuilder_v8 &&)=delete
| PointWiseDescBuilder_v8 (PointWiseDescBuilder_v8 const &)=delete
PointWiseDescBuilder_v8 & | operator= (PointWiseDescBuilder_v8 const &)=delete

## Private Attributes
PointWiseDesc_v8 | m_pointWiseDesc

## Detailed Description

PointWiseDescBuilder_v8 Class Helper class used to build PointWiseDesc_v8 class

Definition at line 153 of file cudnn_frontend_PointWiseDesc.h.

## Constructor & Destructor Documentation

## ◆ PointWiseDescBuilder_v8() [1/3]

cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~PointWiseDescBuilder_v8()

cudnn_frontend::PointWiseDescBuilder_v8::~PointWiseDescBuilder_v8 | ( |  | ) |
| default

## ◆ PointWiseDescBuilder_v8() [2/3]

cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8 | ( | PointWiseDescBuilder_v8 && |  | ) |
| delete

## ◆ PointWiseDescBuilder_v8() [3/3]

cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8 | ( | PointWiseDescBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

PointWiseDesc_v8&& cudnn_frontend::PointWiseDescBuilder_v8::build | ( |  | ) |
| inline

constructs the PointWiseDesc_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 225 of file cudnn_frontend_PointWiseDesc.h.

References cudnn_frontend::getLogger(), cudnn_frontend::PointWiseDesc_v8::operator=(), cudnn_frontend::PointWiseDesc_v8::PointWiseDescBuilder_v8, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

PointWiseDescBuilder_v8& cudnn_frontend::PointWiseDescBuilder_v8::operator= | ( | PointWiseDescBuilder_v8 const & |  | ) |
| delete

## ◆ setEluAlpha()

auto cudnn_frontend::PointWiseDescBuilder_v8::setEluAlpha | ( | double | elu_alpha_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 205 of file cudnn_frontend_PointWiseDesc.h.

## ◆ setReluLowerClip()

auto cudnn_frontend::PointWiseDescBuilder_v8::setReluLowerClip | ( | double | lower_clip_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 187 of file cudnn_frontend_PointWiseDesc.h.

## ◆ setReluLowerClipSlope()

auto cudnn_frontend::PointWiseDescBuilder_v8::setReluLowerClipSlope | ( | double | lower_clip_slope_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 199 of file cudnn_frontend_PointWiseDesc.h.

## ◆ setReluUpperClip()

auto cudnn_frontend::PointWiseDescBuilder_v8::setReluUpperClip | ( | double | upper_clip_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 193 of file cudnn_frontend_PointWiseDesc.h.

## ◆ setSoftplusBeta()

auto cudnn_frontend::PointWiseDescBuilder_v8::setSoftplusBeta | ( | double | softplus_beta_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 211 of file cudnn_frontend_PointWiseDesc.h.

## ◆ setSwishBeta()

auto cudnn_frontend::PointWiseDescBuilder_v8::setSwishBeta | ( | double | swish_beta_ | ) | -> PointWiseDescBuilder_v8 &
| inline

Definition at line 217 of file cudnn_frontend_PointWiseDesc.h.

## Member Data Documentation

## ◆ m_pointWiseDesc

PointWiseDesc_v8 cudnn_frontend::PointWiseDescBuilder_v8::m_pointWiseDesc
| private

Definition at line 387 of file cudnn_frontend_PointWiseDesc.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_PointWiseDesc.h